Bug 880953 - SELinux is preventing /usr/sbin/plymouthd from using the 'execmem' accesses on a process.
SELinux is preventing /usr/sbin/plymouthd from using the 'execmem' accesses o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:d53656b219b7083d03435d68327...
:
: 991855 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-28 04:33 EST by leigh scott
Modified: 2014-02-05 16:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:20:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: description (2.29 KB, text/plain)
2012-11-28 04:33 EST, leigh scott
no flags Details

  None (edit)
Description leigh scott 2012-11-28 04:33:27 EST
Additional info:
hashmarkername: setroubleshoot
kernel:         3.6.7-5.fc18.x86_64
type:           libreport
Comment 1 leigh scott 2012-11-28 04:33:30 EST
Created attachment 653390 [details]
File: description
Comment 2 Daniel Walsh 2012-11-28 11:39:20 EST
Does plymouth actually need this?  Did it grow a JIT?
Comment 3 leigh scott 2012-11-28 16:31:22 EST
(In reply to comment #2)
> Does plymouth actually need this?  Did it grow a JIT?

Well that depends if you like the 20-30 seconds delay this causes on bootup :-(
Comment 4 Miroslav Grepl 2012-11-29 01:39:53 EST
So it is also needed. I thought is has been fixed by the second local policy.
Comment 5 Ray Strode [halfline] 2012-12-03 18:24:32 EST
I don't actually know why that would be needed.  We don't mmap any executable regions as far as i know.  git grep says:

src/plugins/renderers/drm/ply-renderer-generic-driver.c:  map_address = mmap (0, buffer->map_size,
src/plugins/renderers/drm/ply-renderer-generic-driver.c-                      PROT_READ | PROT_WRITE, MAP_SHARED,
src/plugins/renderers/drm/ply-renderer-generic-driver.c-                      driver->device_fd, map_dumb_buffer_request.offset);


src/plugins/renderers/frame-buffer/plugin.c:  head->map_address = mmap (NULL, head->size, PROT_WRITE,
src/plugins/renderers/frame-buffer/plugin.c-                            MAP_SHARED, backend->device_fd, 0);
src/plugins/renderers/frame-buffer/plugin.c-
Comment 6 Lukas Vrabec 2013-10-25 05:44:13 EDT
*** Bug 991855 has been marked as a duplicate of this bug. ***
Comment 7 Fedora End Of Life 2013-12-21 04:31:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 08:20:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.